Subject: Re: [PATCH v2 1/2] t/helper/test-sha1: prepare for an unsafe mode

From: Junio C Hamano <[email-masked]>
Date: Thu, 07 Nov 2024 12:08:12 +0900

Jeff King <[email-masked]> writes:

> Me too. If we were fixing something ugly or error-prone that we expected
> to come up in real code, it might be worth it. But it's probably not for
> trying to accommodate a one-off test helper.

I 100% agree that it would not matter all that much within the
context of the project because this is merely a test helper.

It looked odd not to have sha1-unsafe as a first class citizen next
to sha1 and sha256, with an entry for it in the list enums and list
of hash algos.  If there is a good reason why adding the "unsafe"
variant as a first class citizen among algos, the approach posted
patch took is fine.

Thanks.